Package: org.codehaus.groovy.classgen.asm

## [Java] Class StatementMetaTypeChooser

- org.codehaus.groovy.classgen.asm.StatementMetaTypeChooser

- All Implemented Interfaces and Traits:
    TypeChooser

      public class StatementMetaTypeChooser
      extends Object

  A TypeChooser which is aware of statement metadata.

  Authors:
    Jochen Theodorou
    Cedric Champeau

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `ClassNode` | `resolveType(Expression exp, ClassNode current)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### public ClassNode resolveType(Expression exp, ClassNode current)